ros-jazzy-ros2cli (0.32.1-2bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 12 May 2024 16:00:00 -0000

ros-jazzy-ros2cli (0.32.0-2bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-ros2cli (0.31.2-2bookworm) bookworm; urgency=high

  * ros2cli.node.daemon : try getting fdsize from /proc for open fd limit (#888 <https://github.com/ros2/ros2cli/issues/888>)
  * Fix the SIGTERM handling in the ros2 daemon. (#887 <https://github.com/ros2/ros2cli/issues/887>)
  * Contributors: Chris Lalancette, akssri-sony

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 26 Mar 2024 16:00:00 -0000

ros-jazzy-ros2cli (0.31.1-2bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 06 Feb 2024 16:00:00 -0000

ros-jazzy-ros2cli (0.31.0-2bookworm) bookworm; urgency=high

  * Replace unmaintained netifaces library to avoid local wheel builds (#875 <https://github.com/ros2/ros2cli/issues/875>)
  * Contributors: Laurenz

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-jazzy-ros2cli (0.30.1-2bookworm) bookworm; urgency=high

  * make handles not inheritable to prevent from blocking durning tab-completion (#852 <https://github.com/ros2/ros2cli/issues/852>)
  * Contributors: Chen Lihui

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-ros2cli (0.30.0-2bookworm) bookworm; urgency=high

  * Add ros2 service info (#771 <https://github.com/ros2/ros2cli/issues/771>)
  * Contributors: Minju, Lee

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 05 Nov 2023 16:00:00 -0000

ros-jazzy-ros2cli (0.29.1-2bookworm) bookworm; urgency=high

  * catch ExternalShutdownException ros2cli main. (#854 <https://github.com/ros2/ros2cli/issues/854>)
  * Contributors: Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 03 Oct 2023 16:00:00 -0000

ros-jazzy-ros2cli (0.29.0-2bookworm) bookworm; urgency=high

  * Load a message/request/goal from standard input (#844 <https://github.com/ros2/ros2cli/issues/844>)
  * Contributors: ymd-stella

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 20 Aug 2023 16:00:00 -0000

ros-jazzy-ros2cli (0.28.0-2bookworm) bookworm; urgency=high

  * Fix tests with get_type_description service and param present (#838 <https://github.com/ros2/ros2cli/issues/838>)
  * Add marshalling functions for rclpy.type_hash.TypeHash (rep2011) (#816 <https://github.com/ros2/ros2cli/issues/816>)
  * Contributors: Emerson Knapp, Hans-Joachim Krauch

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 10 Jul 2023 16:00:00 -0000

ros-jazzy-ros2cli (0.27.0-2bookworm) bookworm; urgency=high

  * [service introspection] ros2 service echo (#745 <https://github.com/ros2/ros2cli/issues/745>)
  * Contributors: Brian

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 06 Jun 2023 16:00:00 -0000

ros-jazzy-ros2cli (0.26.1-2bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 10 May 2023 16:00:00 -0000

ros-jazzy-ros2cli (0.26.0-2bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 27 Apr 2023 16:00:00 -0000

ros-jazzy-ros2cli (0.25.0-2bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 17 Apr 2023 16:00:00 -0000

ros-jazzy-ros2cli (0.24.1-2bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 11 Apr 2023 16:00:00 -0000

ros-jazzy-ros2cli (0.24.0-2bookworm) bookworm; urgency=high

  * Set automatically_declare_parameters_from_overrides in DirectNode. (#813 <https://github.com/ros2/ros2cli/issues/813>)
  * Enable document generation using rosdoc2 (#811 <https://github.com/ros2/ros2cli/issues/811>)
  * Contributors: Chris Lalancette, Yadu

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-jazzy-ros2cli (0.23.0-2bookworm) bookworm; urgency=high

  * Fix linters (#808 <https://github.com/ros2/ros2cli/issues/808>)
  * add timeout option for ros2param to find node. (#802 <https://github.com/ros2/ros2cli/issues/802>)
  * Contributors: Cristóbal Arroyo, Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 01 Mar 2023 16:00:00 -0000

ros-jazzy-ros2cli (0.22.0-2bookworm) bookworm; urgency=high

  * Save method list via connection check to XMLRPC server. (#796 <https://github.com/ros2/ros2cli/issues/796>)
  * ZSH argcomplete: call compinit only if needed (#750 <https://github.com/ros2/ros2cli/issues/750>)
  * Fix network aware node issue (#785 <https://github.com/ros2/ros2cli/issues/785>)
  * [rolling] Update maintainers - 2022-11-07 (#776 <https://github.com/ros2/ros2cli/issues/776>)
  * Contributors: Audrow Nash, Ivan Santiago Paunovic, Tomoya Fujita, mjbogusz

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-jazzy-ros2cli (0.21.0-2bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-jazzy-ros2cli (0.20.0-2bookworm) bookworm; urgency=high

  * XMLRPC server accepts request from all local IP addresses. (#729 <https://github.com/ros2/ros2cli/issues/729>)
  * Contributors: Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-jazzy-ros2cli (0.19.0-2bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-jazzy-ros2cli (0.18.3-2bookworm) bookworm; urgency=high

  * Fix importlib_metadata warning on Python 3.10. (#706 <https://github.com/ros2/ros2cli/issues/706>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-jazzy-ros2cli (0.18.2-2bookworm) bookworm; urgency=high

  * Add timeout to kill hanging tests (#701 <https://github.com/ros2/ros2cli/issues/701>)
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 29 Mar 2022 16:00:00 -0000

ros-jazzy-ros2cli (0.18.1-2bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-jazzy-ros2cli (0.18.0-2bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-jazzy-ros2cli (0.17.1-2bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 24 Jan 2022 16:00:00 -0000

ros-jazzy-ros2cli (0.17.0-2bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 24 Jan 2022 16:00:00 -0000

ros-jazzy-ros2cli (0.16.1-2bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-jazzy-ros2cli (0.16.0-2bookworm) bookworm; urgency=high

  * Use try_shutdown() instead of shutdown() in DirectNode.__exit__() (#683 <https://github.com/ros2/ros2cli/issues/683>)
  * Contributors: Ivan Santiago Paunovic

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-jazzy-ros2cli (0.15.0-2bookworm) bookworm; urgency=high

  * Update maintainers to Aditya Pande, Audrow Nash, and Michael Jeronimo (#673 <https://github.com/ros2/ros2cli/issues/673>)
  * Updated maintainers (#670 <https://github.com/ros2/ros2cli/issues/670>)
  * Reapply #659 <https://github.com/ros2/ros2cli/issues/659> (#661 <https://github.com/ros2/ros2cli/issues/661>)
  * Revert "Make the ros2cli output always line buffered (#659 <https://github.com/ros2/ros2cli/issues/659>)" (#660 <https://github.com/ros2/ros2cli/issues/660>)
  * Make the ros2cli output always line buffered (#659 <https://github.com/ros2/ros2cli/issues/659>)
  * add uuid to ros2 daemon node name. (#658 <https://github.com/ros2/ros2cli/issues/658>)
  * Transfer daemon socket ownership on spawn. (#652 <https://github.com/ros2/ros2cli/issues/652>)
  * Add changelogs (#635 <https://github.com/ros2/ros2cli/issues/635>)
  * Contributors: Aditya Pande, Audrow Nash, Ivan Santiago Paunovic, Michel Hidalgo, Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 17 Nov 2021 16:00:00 -0000

ros-jazzy-ros2cli (0.14.0-2bookworm) bookworm; urgency=high

  * Ensure only one daemon can run at a time. (#622 <https://github.com/ros2/ros2cli/issues/622>)
  * Contributors: Michel Hidalgo

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 25 Apr 2021 16:00:00 -0000

ros-jazzy-ros2cli (0.13.0-2bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-jazzy-ros2cli (0.12.0-2bookworm) bookworm; urgency=high

  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)
  * Add option to support use_sim_time. (#581 <https://github.com/ros2/ros2cli/issues/581>)
  * Bugfix for #563 <https://github.com/ros2/ros2cli/issues/563>. (#570 <https://github.com/ros2/ros2cli/issues/570>)
  * Add Audrow as a maintainer. (#591 <https://github.com/ros2/ros2cli/issues/591>)
  * Contributors: Audrow Nash, Claire Wang, Daisuke Sato, Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 01 Mar 2021 16:00:00 -0000

ros-jazzy-ros2cli (0.11.0-2bookworm) bookworm; urgency=high

  * Support Python 3.8-provided importlib.metadata. (#585 <https://github.com/ros2/ros2cli/issues/585>)
  * Contributors: Scott K Logan

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-jazzy-ros2cli (0.10.1-2bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-jazzy-ros2cli (0.10.0-2bookworm) bookworm; urgency=high

  * Update maintainers. (#568 <https://github.com/ros2/ros2cli/issues/568>)
  * Added dependency to python3-argcomplete to ros2cli. (#564 <https://github.com/ros2/ros2cli/issues/564>)
  * Remove use of pkg_resources from ros2cli. (#537 <https://github.com/ros2/ros2cli/pull/537>)
  * Contributors: Chris Lalancette, Claire Wang, Yoan Mollard

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 01 Nov 2020 16:00:00 -0000

ros-jazzy-ros2cli (0.9.5-2bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 31 May 2020 16:00:00 -0000

ros-jazzy-ros2cli (0.9.4-2bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 May 2020 16:00:00 -0000

ros-jazzy-ros2cli (0.9.3-2bookworm) bookworm; urgency=high

  * Fix new flake8 errors. (#509 <https://github.com/ros2/ros2cli/issues/509>)
  * Improve NodeStrategy to use the right node seamlessly. (#499 <https://github.com/ros2/ros2cli/issues/499>)
  * Contributors: Michel Hidalgo

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 12 May 2020 16:00:00 -0000

ros-jazzy-ros2cli (0.9.2-2bookworm) bookworm; urgency=high

  * Make test_daemon.py robust to discovery latency. (#504 <https://github.com/ros2/ros2cli/issues/504>)
  * Contributors: Michel Hidalgo

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 May 2020 16:00:00 -0000

ros-jazzy-ros2cli (0.9.1-2bookworm) bookworm; urgency=high

  * Add support for get_node_names_and_namespaces_with_enclaves. (#501 <https://github.com/ros2/ros2cli/issues/501>)
  * Contributors: Mikael Arguedas

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 05 May 2020 16:00:00 -0000

ros-jazzy-ros2cli (0.9.0-2bookworm) bookworm; urgency=high

  * Extend CLI daemon's API. (#493 <https://github.com/ros2/ros2cli/issues/493>)
  * More verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Use f-string. (#448 <https://github.com/ros2/ros2cli/issues/448>)
    * Use f-string
    * Remove unused variable
  * Override parse_known_args for completion to work with partial argparse tree. (#446 <https://github.com/ros2/ros2cli/issues/446>)
    * Override parse_known_args for completion to work with partial argparse tree
    * Fix completion of partial first level command
    * Fix spelling in comment
  * Avoid passing None to rclpy.init. (#433 <https://github.com/ros2/ros2cli/issues/433>)
    Otherwise, all CLI arguments will be parsed as ROS arguments, which can lead
    to rcl warnings or incorrect legacy remapping behavior.
    This change does not pass arguments to rclpy.init from any of the CLI
    tools, but it leaves the opportunity to do so in the future by setting the
    parser argument 'argv'. For example, we could take the remaining arguments
    and pass them to rclpy.init, similar to what is done in ros2run:
    https://github.com/ros2/ros2cli/blob/4c5d9327026ecb2ea10a16b3429908b4f6f64ca6/ros2run/ros2run/command/run.py#L51-L53
    Fixes #336 <https://github.com/ros2/ros2cli/issues/336>.
  * Fix linter warning about bad quotes. (#438 <https://github.com/ros2/ros2cli/issues/438>)
  * Pass argv to CommandExtension.add_arguments if available. (#437 <https://github.com/ros2/ros2cli/issues/437>)
  * Only load required entry points which improves the performance. (#436 <https://github.com/ros2/ros2cli/issues/436>)
    * Extend API to exclude extensions from loading
    * Add add_subparsers_on_demand() function
    * Update all extensions to use the new API
    * Deprecate old API, add deprecation warnings
  * Extend CLI daemon based features. (#420 <https://github.com/ros2/ros2cli/issues/420>)
    * Extend CLI daemon ROS graph API support.
    * Add --no-daemon option for strategy nodes.
    * Drop redundant default for --no-daemon.
    * Make ROS graph API support complete.
  * Contributors: Dirk Thomas, Jacob Perron, Michel Hidalgo

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 28 Apr 2020 16:00:00 -0000

ros-jazzy-ros2cli (0.8.6-2bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 18 Nov 2019 16:00:00 -0000

ros-jazzy-ros2cli (0.8.5-2bookworm) bookworm; urgency=high

  * 0.8.5
  * Fix ros2 topic pub --node-name. (#398 <https://github.com/ros2/ros2cli/issues/398>)
    * Fix ros2 topic pub --node-name
    * Give DirectNode node_name kwarg
    * Not node_name -> node_name is None
  * Contributors: Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 13 Nov 2019 16:00:00 -0000

ros-jazzy-ros2cli (0.8.4-2bookworm) bookworm; urgency=high

  * 0.8.4
  * Contributors: Michael Carroll

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 12 Nov 2019 16:00:00 -0000

ros-jazzy-ros2cli (0.8.3-2bookworm) bookworm; urgency=high

  * 0.8.3
  * Make daemon “reset” itself when the IP address changes. (#284 <https://github.com/ros2/ros2cli/issues/284>)
  * Contributors: Ivan Santiago Paunovic, Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 22 Oct 2019 16:00:00 -0000

ros-jazzy-ros2cli (0.8.2-2bookworm) bookworm; urgency=high

  * 0.8.2
  * Fix sourcing completion scripts in Debian package. (#353 <https://github.com/ros2/ros2cli/issues/353>)
    * Fix sourcing completion scripts in Debian package
    * Fix path
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 07 Oct 2019 16:00:00 -0000

ros-jazzy-ros2cli (0.8.1-2bookworm) bookworm; urgency=high

  * 0.8.1
  * Contributors: Michael Carroll

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 03 Oct 2019 16:00:00 -0000

ros-jazzy-ros2cli (0.8.0-2bookworm) bookworm; urgency=high

  * Update setup.py version. (#331 <https://github.com/ros2/ros2cli/issues/331>)
    Versions now match latest tag and package.xml.
  * Install package manifest. (#330 <https://github.com/ros2/ros2cli/issues/330>)
  * Contributors: Dirk Thomas, Jacob Perron

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 25 Sep 2019 16:00:00 -0000

ros-jazzy-ros2cli (0.7.4-2bookworm) bookworm; urgency=high

  * Update help of --spin-time. (#253 <https://github.com/ros2/ros2cli/issues/253>)
  * Don't start parameter service in daemon. (#251 <https://github.com/ros2/ros2cli/issues/251>)
  * Fix sourcing argcomplete script in zsh. (#243 <https://github.com/ros2/ros2cli/issues/243>)
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 28 May 2019 16:00:00 -0000

ros-jazzy-ros2cli (0.7.3-2bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 19 May 2019 16:00:00 -0000

ros-jazzy-ros2cli (0.7.2-2bookworm) bookworm; urgency=high

  * Add xmllint linter test. (#232 <https://github.com/ros2/ros2cli/issues/232>)
    * Add xmllint test to ament_python packages
    * Cover new packages as well
  * Contributors: Mikael Arguedas

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 07 May 2019 16:00:00 -0000

ros-jazzy-ros2cli (0.7.1-2bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 16 Apr 2019 16:00:00 -0000

ros-jazzy-ros2cli (0.7.0-2bookworm) bookworm; urgency=high

  * Update logger.warn (deprecated) to logger.warning. (#205 <https://github.com/ros2/ros2cli/issues/205>)
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Sat, 13 Apr 2019 16:00:00 -0000

ros-jazzy-ros2cli (0.6.3-2bookworm) bookworm; urgency=high

  * Consistent node naming. (#158 <https://github.com/ros2/ros2cli/issues/158>)
    * Support for easy integration with ros2 security features by starting CLI nodes with a consistent prefix.
    * Removing unneeded comment
    * Making DirectNode visible (removing hidden node prefix) to have consistent node naming for ros2cli.
    * Start all CLI nodes as hidden.
    * Shortening the default CLI node name prefix from '_ros2cli_node' to '_ros2cli'
    * Importing HIDDEN_NODE_PREFIX from rclpy, renaming CLI_NODE_NAME_PREFIX -> NODE_NAME_PREFIX.
    * Ros2node - Importing HIDDEN_NODE_PREFIX from rclpy
    * Linter fixes.
  * Contributors: AAlon

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Feb 2019 16:00:00 -0000

ros-jazzy-ros2cli (0.6.2-2bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 11 Dec 2018 16:00:00 -0000

ros-jazzy-ros2cli (0.6.1-2bookworm) bookworm; urgency=high

  * 0.6.1
    bump package.xml, setup.py and setup.cfg versions
  * Contributors: Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 05 Dec 2018 16:00:00 -0000

ros-jazzy-ros2cli (0.6.0-2bookworm) bookworm; urgency=high

  * Node name with namespace. (#146 <https://github.com/ros2/ros2cli/issues/146>)
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 18 Nov 2018 16:00:00 -0000

ros-jazzy-ros2cli (0.5.4-2bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 19 Aug 2018 16:00:00 -0000

ros-jazzy-ros2cli (0.5.3-2bookworm) bookworm; urgency=high

  * Check rmw identifier. (#121 <https://github.com/ros2/ros2cli/issues/121>)
    * Daemin -> daemon
    * Check rmw implementation identifier before calling the daemon
    This allows to raise with an appropriate error message if the default rmw implementation is not installed on the system
    * Trailing spaces
  * Contributors: Mikael Arguedas

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 16 Jul 2018 16:00:00 -0000

ros-jazzy-ros2cli (0.5.2-2bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 27 Jun 2018 16:00:00 -0000

ros-jazzy-ros2cli (0.5.1-2bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 27 Jun 2018 04:27:00 -0000

ros-jazzy-ros2cli (0.5.0-2bookworm) bookworm; urgency=high

  * Hide window of spawned daemon. (#113 <https://github.com/ros2/ros2cli/issues/113>)
  * Cancel timer before letting caller use the node to avoid spurious wakeups for consumers. (#115 <https://github.com/ros2/ros2cli/issues/115>)
    * Cancel timer before letting caller use the node to avoid spurious wakeups for consumers
    * Make timer local and destroy it after use
  * Use (bash)compinit for zsh completion. (#102 <https://github.com/ros2/ros2cli/issues/102>)
  * Add colcon.pkg file to source completion scripts. (#101 <https://github.com/ros2/ros2cli/issues/101>)
  * Add pytest markers to linter tests
  * Ignore F841 from latest Pyflakes release. (#93 <https://github.com/ros2/ros2cli/issues/93>)
  * Source bash completion script from setup file. (#84 <https://github.com/ros2/ros2cli/issues/84>)
    * Source bash completion script from setup file
    * Add zsh specific local_setup file
  * Set zip_safe to avoid warning during installation. (#83 <https://github.com/ros2/ros2cli/issues/83>)
  * Use rmw agnostic daemon URL. (#80 <https://github.com/ros2/ros2cli/issues/80>)
  * Print full help when no command is passed. (#81 <https://github.com/ros2/ros2cli/issues/81>)
  * Fix import order. (#79 <https://github.com/ros2/ros2cli/issues/79>)
  * Contributors: Dirk Thomas, Mikael Arguedas

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 27 Jun 2018 04:17:00 -0000

ros-jazzy-ros2cli (0.4.0-2bookworm) bookworm; urgency=high

  * Merge pull request #71 <https://github.com/ros2/ros2cli/issues/71> from ros2/wait_until_daemon_has_started
    'daemon start' waits until it has been started before returning
  * 'daemon start' waits until it has been started before returning
  * Remove test_suite, add pytest as test_requires
  * 0.0.3
  * Merge pull request #49 <https://github.com/ros2/ros2cli/issues/49> from ros2/msg_stopping_daemon_diff_rmw
    add error message when trying to stop a daemon using a different rmw implementation
  * Add error message when trying to stop a daemon using a different rmw implementation
  * Merge pull request #46 <https://github.com/ros2/ros2cli/issues/46> from ros2/flake8_plugins
    update style to satisfy new flake8 plugins
  * Update style to satisfy new flake8 plugins
  * Implicitly inherit from object. (#45 <https://github.com/ros2/ros2cli/issues/45>)
  * 0.0.2
  * Fix daemon verb
  * Merge pull request #38 <https://github.com/ros2/ros2cli/issues/38> from ros2/add_daemon_command
    add daemon command with verbs status, start, stop
  * Merge pull request #33 <https://github.com/ros2/ros2cli/issues/33> from ros2/improve_windows_daemon
    Improve windows daemon
  * Add daemon command with verbs status, start, stop
  * Use different cwd for daemon to prevent holding folder handle
  * Detach daemon on Windows
  * Add exec_depend on python3-pkg-resources. (#30 <https://github.com/ros2/ros2cli/issues/30>)
  * Merge pull request #29 <https://github.com/ros2/ros2cli/issues/29> from ros2/hide_help_from_completion
    hide help options from completion
  * Hide help options from completion
  * Merge pull request #26 <https://github.com/ros2/ros2cli/issues/26> from ros2/support_argcomplete_py3
    support python3-argcomplete
  * Support python3-argcomplete
  * Merge pull request #15 <https://github.com/ros2/ros2cli/issues/15> from ros2/various_fixes
    various fixes and improvements
  * Various fixes and improvements
  * Merge pull request #11 <https://github.com/ros2/ros2cli/issues/11> from ros2/daemon_rmw_impl
    update daemon to only handle local requests for matching rmw impl
  * Update daemon to only handle requests from localhost
  * Update daemon to only handle requests from matching rmw impl.
  * Merge pull request #7 <https://github.com/ros2/ros2cli/issues/7> from ros2/zsh_argcomplete
    add argcomplete script for zsh
  * Add argcomplete script for zsh
  * Merge pull request #5 <https://github.com/ros2/ros2cli/issues/5> from ros2/pep257
    add pep257 tests
  * Add pep257 tests
  * Merge pull request #1 <https://github.com/ros2/ros2cli/issues/1> from ros2/initial_features
    Entry point, plugin system, daemon, existing tools
  * Append pid / domain id to node names
  * Add suffix to node name in daemon. (#2 <https://github.com/ros2/ros2cli/issues/2>)
  * Add linter tests
  * Add rclpy node interface and xml-rpc based daemon
  * Add argcomplete-based completion
  * Add hidden extension commands
  * Add ros2cli plugin system, interface for commands and verbs, and cli
  * Contributors: Dirk Thomas, Mikael Arguedas, William Woodall

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Dec 2017 16:00:00 -0000


